<template>
    <div class="header-menu hidden-sm-and-down">
        <v-btn v-for="(link, key) in menu"
               :key="key"
               color="black"
               text
               rounded
               class="my-2"
               @click="routerLink(link.route)">
            <span class="header-menu-link">{{ link.name }}</span>
        </v-btn>
        <free-trial-button :trial-button-text="'Try us for free'"/>
    </div>
</template>

<script>
import FreeTrialButton from '../../FreeTrialButton'
import router from '../../../router'
export default {
    name: 'Menu',
    components: {
        'free-trial-button': FreeTrialButton
    },
    props: {
        menu: {
            type: Object,
            default: () => { return {} }
        },
    },
    methods: {
        routerLink (menu) {
            if(this.$route.name !==  menu) router.push({ name: menu })
        },
    }
}
</script>

<style lang="scss" scoped>
    .header-menu {
        &-link {
            font-size: 16px;
        }
    }
</style>
